## ses 0.1.1-1

=== Makefile ===
#############################################################################
# Makefile for building: ses
# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Jan 12 21:46:02 2010
# Project:  ses.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ses.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lalarm -lQtGui -lQtCore -ldbus-1 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwidget.cpp \
		addalarm.cpp moc_mainwidget.cpp \
		moc_addalarm.cpp
OBJECTS       = main.o \
		mainwidget.o \
		addalarm.o \
		moc_mainwidget.o \
		moc_addalarm.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		ses.pro
QMAKE_TARGET  = ses
DESTDIR       = 
TARGET        = ses

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ses.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile ses.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ses.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/ses1.0.0 || $(MKDIR) .tmp/ses1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/ses1.0.0/ && $(COPY_FILE) --parents mainwidget.h addalarm.h .tmp/ses1.0.0/ && $(COPY_FILE) --parents main.cpp mainwidget.cpp addalarm.cpp .tmp/ses1.0.0/ && (cd `dirname .tmp/ses1.0.0` && $(TAR) ses1.0.0.tar ses1.0.0 && $(COMPRESS) ses1.0.0.tar) && $(MOVE) `dirname .tmp/ses1.0.0`/ses1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/ses1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwidget.cpp moc_addalarm.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwidget.cpp moc_addalarm.cpp
moc_mainwidget.cpp: mainwidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwidget.h -o moc_mainwidget.cpp

moc_addalarm.cpp: addalarm.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) addalarm.h -o moc_addalarm.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwidget.o: mainwidget.cpp mainwidget.h \
		addalarm.h \
		alarmif.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwidget.o mainwidget.cpp

addalarm.o: addalarm.cpp addalarm.h \
		alarmif.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o addalarm.o addalarm.cpp

moc_mainwidget.o: moc_mainwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwidget.o moc_mainwidget.cpp

moc_addalarm.o: moc_addalarm.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_addalarm.o moc_addalarm.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/asj/ses-0.1.1/ses.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/ses.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_services: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_FILE) /home/asj/ses-0.1.1/ses.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_services:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/ses.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install:  install_target install_desktop install_services  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_services   FORCE

FORCE:

=== debian/changelog ===
ses (0.1.1-1) unstable; urgency=low

  * Initial release 

 -- Andrew Stanley-Jones <asj@cban.com>  Tue, 12 Jan 2010 09:39:56 +1000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	/opt/qt4-maemo5/bin/qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ses.sgml > ses.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ses.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ses install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ses 0.1.1-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ses
-# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Jan 12 21:46:02 2010
+# Generated by qmake (2.01a) (Qt 4.6.1) on: Wed Jan 13 07:01:53 2010
 # Project:  ses.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ses.pro
@@ -162,6 +162,7 @@
 
 clean:compiler_clean 
 	-$(DEL_FILE) $(OBJECTS)
+	-$(DEL_FILE) ses
 	-$(DEL_FILE) *~ core *.core
 
 
@@ -254,9 +255,19 @@
 	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
 
 
-install:  install_target install_desktop install_services  FORCE
-
-uninstall: uninstall_target uninstall_desktop uninstall_services   FORCE
+install_icon: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/ 
+	-$(INSTALL_FILE) /home/asj/ses-0.1.1/ses.png $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/
+
+
+uninstall_icon:  FORCE
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/ses.png
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/ 
+
+
+install:  install_target install_desktop install_services install_icon  FORCE
+
+uninstall: uninstall_target uninstall_desktop uninstall_services uninstall_icon   FORCE
 
 FORCE:

=== debian/changelog ===
ses (0.1.1-2) unstable; urgency=low

  * Fix: binary included, icon included

 -- Andrew Stanley-Jones <asj@cban.com>  Tue, 12 Jan 2010 09:39:56 +1000

=== debian/control ===
Source: ses
Section: user/utilities
Priority: extra
Maintainer: Andrew Stanley-Jones <asj@cban.com>
Build-Depends: debhelper (>= 5), libglib2.0-0, libfontconfig1, libpng12-0, libalarm-dev, libdbus-1-dev, libsm6, libxrender1, libqt4-maemo5-maemo5, libqt4-maemo5-dev, opengles-sgx-img-common [armel]
Standards-Version: 3.7.2

Package: ses
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System Event Scheduler controls operation at certain times of the day
 A very simple application to control when the phone goes changes
 profiles, online status, etc automatically
XB-Maemo-Icon-26:
 VBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c                                         
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0                                         
 SU1FB9oBCxcdKqiuK2cAAAqkSURBVGjezVr7c1TVHf+cs/fu3WRJsuQhJAgk                                         
 wYUkG4kxJgiIY0edPqhYFQJUqg60g6LtTH9sZ+zYmc5Y/QNQO0x1tKEgY/GH                                         
 FAHRMJBUa7ElpTEJ7G4CJGSzy+4mm8c+7r3n9Ifde/fuZje7i2J77nzn7uuc                                         
 +318vq9zluBrjldeeUXwer0dsVjsUVmWtwiCsE4QhEpCiEgIMXHOZc65PD8/                                         
 71EU5QohpMdms31w8OBBJ76BQW514osvvrghEok8bzabdwGwUEpRUVGBFStW                                         
 oLS0FBaLBYIgQJZlzM3Nwe/3Y2JiAqFQCAAQjUanQqHQYZvN9uqhQ4fGvjUB                                         
 Xnjhha2KorwmCILDarVi48aNaGxsxJo1a2A2m3POn56exvDwMPr7+9Hf3w/G                                         
 GPf5fJ8RQp4/duzYpdsmwIEDBxplWX5HEISOmpoabN26FevXrweldOGiJL9l                                         
 w+Ewzp07h9OnT2N+fh4ej+eU1Wrt7OrqCn0TAujf7d+//5eU0tetVqtp+/bt                                         
 uK+9PSeTXV1dmJ6exoEDB3IyEYtG0d3djZ6eHoTD4eiNGzeePnXq1Af5CGDK                                         
 wjgBgB07dlg2b9583GQyvXRPayt96aWfY3VtbV6G6+vtQzAYxJYtD+b8LaUm                                         
 NDQ2otnRDJfLKUiS1FleXl7tcrm6CxVA44w899xzZVar9VNBEB564okn8eST                                         
 T0EUxbwN++WFCwiHw3ggDwE4j99LSkuxYcP9uDE+DlVV76uqqupwOp2H8xVA                                         
 Y55u27bNWlpaeloUxY49P3kWGzdtBkDAgayUPr788h8IhyN4YMuW3AKAg/M4                                         
 URPFPa2tCAYCmJ+ft9tsto1ut/tP2eYKabChAEhVVdX7JpNpw87dT6O1rS0j                                         
 gwuZyPye8dzOxnmcmPZjEOzc/WMwxgDgu5FI5K3e3t792QRIYX7v3r2/EATh                                         
 e489/iPc29YGzvnXigfadJ6PABwa0yAAtnfuQiAQgKqqP5uZmfm0v7//6AL/                                         
 MdzJ7t27GwVRfN3RfDc2PfBg4uFEf8DixNMoFRqFEGMMiqoClODpZ57FkpIS                                         
 0tTU9I7NZrNlEoBqFpAk6Y9FFgt9asfOpEYWocUEMkIpHwJJ+hjjPH5nHMXW                                         
 JdixczfKysosDofjaFYI7dmz5/uiKLb94LHHYZYscW0kLkIIeAYQ8EVgxNMg                                         
 lAt+utV0f2CJEEuxrqEJDU0OKIry6OjoaMv4+Hi/0QIEABUE4Xd3LFuO9S2t                                         
 hsiSL3wWwgi6E/NFKX2O/p4xcMagKgpUVcXWH26DIIqkrq7urXQIkc7Ozg5B                                         
 EBzfeeRRnenCmU+DUIJy/W4BLEH01yrToMRgK69AS0sr7HZ7e1FR0aoUHxBF                                         
 8adFRUWwr2vUtaLjcBGNpZs93Qd4gWT0A+3ZisqgMg6VcbTfvwmSJFG73f4b                                         
 XQCHwyFYLJYd61vvAyHUwEDCAmkPYQuILyBu8JhbiULQXicuxhiYquLOVaux
 pKQEy5Yte0pzOMHhcLQTQix1a+5KMmrQBPJNA1mcm/H8MsYCxRn8ipD4QoQC
 6xqaEPD7ywA0ARigkiQ9DAArV9fqUqNgrS0CozxwnzE8I5mdGU9YlnPU3bUW
 kiSR2tra7QBAFUXZZFtaDpMg3lK8z5zEeKLCMXxXwJUOSZUxqIyBcY6qZcvB
 OUdZWdlDACCIomivrLpjUS2yPFofkgtOPHdFmsuSjHHYbOUghMBqtdYDgCCY
 zRUlpaVZtZE9a5GcxRznHPPz83n5DaUUomhOS2Z8ARRNJgEWSxEkSaoAAIEC
 omi25CwJkEceTh++SQ9e++2v8xLAvq4Ju57ZlwWOcWUwMFBQiGYzBEEwa6WE
 sFjSutXRcm8HVq2uz7uBXVpemSFEp6rJlOBTNJtBKSUASgQAsqrIYrbIk+jS
 CxagobmlsNCbUsUmQyp0C8QDCgVBNBKBoigcQERQVTUmx2JiXj3f7Rw5vJgY
 DBiNRCDLsgpAptFo1BucCuTVrhD8jwYh+i5ILBKBosiYm5ubBgAqy7Lzpncy
 I0wISZImASmUcGuUzjwhBJRQBAI+AMDs7KwbACgh5Gx4fg5zszMpTTZJ6F2/
 DAsVdJFMtFAxcSLx5+rPiW+SUUr1uTfGrgMAPB5PrybAcQC4NjqStlnFtTVB
 SLJ1owAoSRK5JTJqNUkE8bqHapZLMB5nlAKEwO28jKmpKTY9Pf0xANCjR4+6
 ZFmecg4PJLUCrRRg+qLZiOagQgXTtibja8eFNJlMIIRAUWSMuq7A7XZHAPRp
 /QALhUJHnMNDiIQjKWFN817NErfCJC2ACLh+jwvDQWkCSpTg8uAlKIqMkZGR
 kwDmNQG4JEmvcc54/z+/SIGRJkQm02eDQTZazBc0rVPdLxLfG7APAJ+fOwuv
 16t6vd43jR0ZP3LkyJjP5/v88/NnEYvFQLS20liTg2TUar7wyKx1TcBUCCWV
 Fo88hFK4rwzD6/Xg4sWLVwF8kiJAvHvjB2KxKHp7zoCAJJjn4Iyn9LkUi2gf
 i1PmCAU94iRzDgEBjc+hFIypONV9HIFAgLlcrl9pBbJRAP7hhx/+2+PxnLrw
 9z5MTIzHtZFW72fzCV3TNEH5WkFnNmltcALOeOJBFJRQ9PZ8gumpIPr6+gYA
 fJBpZ44D4JTSXbFoNPqXI+8iFo0k24sM9VFKiE0nWoCjp2zwskTvQfUS++qI
 E5+d/xQDAwOxsbGxfQDUrNvrQ0ND0crKykFrsbXT55tEU3MLSEKlxsSTdGgs
 kqwMSS/D50nMxFtGlfF4+5gI4YQQTAX96Hr7Ldz0+9knZ868qihKV87zAbfb
 PVhVVVnNVKVtKhhAQ9PdekbkxlSfwrxhdziThtM+M9ZvTO97jaUzwdzcLN47
 9AaCgQA/ceLEuVAotC9TE5LphAZOp/Ov5eXl7Yoctftv+rC2wZE4CyMpK+gh
 EMaQmFYfGEKmXnSCgzEkNc9h2HcCggE/3jt0EAH/TX7y5MlBj8fzCIBIvkdM
 AACXy3XYZrO1M0Vee23UjTVrG2A2m/UqCdx4uMHB0zoWkmGPlIPrGleNzLPk
 /Gujbhx++w8IBgP8o48+GhwbG3sYgL+QMzJ9uN3uw8XFxdWCibZd+tcFUrVs
 OcorKpMtAud682HcXmEGeMR724SGGVKYZvocDkVRcL7nY3Qffx83/X524sSJ
 3oTm/YUe8qWMq1evdquq+pXFYtnmvDwoeCbGUVOzEkVFRXrFpDGvQYEzw3Zk
 QttxuLA444ktEm2uc3gQf373EC4PDWBoaCj28enTvw+FQnsBhL+xc2KbzWZr
 bm4+1tDQ8LAomklzyz1o69iElatWg9BENCdYkJCMOxucJyEnyzIG/3MJn50/
 C+/kBILBIOvr6/vq+vXr+wB8cdtO6mtqalrr6+vftNvt7RaLhSwpKcXaBgdq
 69dgefUKLF26FNS00LDRaBT+mz6MX7+GEdcVuK4MQVEU+Hw+9eLFi9ecTufL
 AI4CUL6V/0pYLJY6u93+cnV19RN3rlxZJpnNRCvKLEVFMJslmM0SIpEwotEI
 YtGo8e8GzO12R0ZGRk5PTk6+AeCMsTz4VgRIW8NRV1fXWVZW9mBxcXG9JEmV
 oiiKhBCoqsplWWazs7PTMzMzI16v929TU1OnAPQCmMP/+bABkG7nA/4LBDKC
 YNfl4MsAAAAASUVORK5CYII=

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/ses.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/ses install
+	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/ses install
 
 
 # Build architecture-independent files here.

## ses 0.2.1-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ses
-# Generated by qmake (2.01a) (Qt 4.6.1) on: Wed Jan 13 07:01:53 2010
+# Generated by qmake (2.01a) (Qt 4.6.1) on: Fri Jan 15 06:52:48 2010
 # Project:  ses.pro
 # Template: app
 # Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ses.pro
@@ -237,7 +237,7 @@
 
 install_desktop: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
-	-$(INSTALL_FILE) /home/asj/ses-0.1.1/ses.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
+	-$(INSTALL_FILE) /home/asj/ses-0.2.1/ses.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
 
 
 uninstall_desktop:  FORCE
@@ -247,7 +247,7 @@
 
 install_services: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
-	-$(INSTALL_FILE) /home/asj/ses-0.1.1/ses.service $(INSTALL_ROOT)/usr/share/dbus-1/services/
+	-$(INSTALL_FILE) /home/asj/ses-0.2.1/ses.service $(INSTALL_ROOT)/usr/share/dbus-1/services/
 
 
 uninstall_services:  FORCE
@@ -256,13 +256,13 @@
 
 
 install_icon: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/ 
-	-$(INSTALL_FILE) /home/asj/ses-0.1.1/ses.png $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/pixmaps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/pixmaps/ 
+	-$(INSTALL_FILE) /home/asj/ses-0.2.1/ses.png $(INSTALL_ROOT)/usr/share/pixmaps/
 
 
 uninstall_icon:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/ses.png
-	-$(DEL_DIR) $(INSTALL_ROOT)/usr/usr/share/icons/hicolor/48x48/hildon/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/pixmaps/ses.png
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/pixmaps/ 
 
 
 install:  install_target install_desktop install_services install_icon  FORCE

=== debian/changelog ===
ses (0.2.1-2) unstable; urgency=low

  * Add support for recurrense on time of the week

 -- Andrew Stanley-Jones <asj@cban.com>  Tue, 12 Jan 2010 09:39:56 +1000

## ses 0.2.2-1

=== Makefile ===
#############################################################################
# Makefile for building: ses
# Generated by qmake (2.01a) (Qt 4.6.1) on: Wed Jan 20 21:05:20 2010
# Project:  ses.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ses.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lalarm -lQtMaemo5 -lQtDBus -lQtXml -lQtGui -lQtCore -ldbus-1 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwidget.cpp \
		addalarm.cpp moc_mainwidget.cpp \
		moc_addalarm.cpp
OBJECTS       = main.o \
		mainwidget.o \
		addalarm.o \
		moc_mainwidget.o \
		moc_addalarm.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		ses.pro
QMAKE_TARGET  = ses
DESTDIR       = 
TARGET        = ses

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ses.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile ses.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ses.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/ses1.0.0 || $(MKDIR) .tmp/ses1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/ses1.0.0/ && $(COPY_FILE) --parents mainwidget.h addalarm.h .tmp/ses1.0.0/ && $(COPY_FILE) --parents main.cpp mainwidget.cpp addalarm.cpp .tmp/ses1.0.0/ && (cd `dirname .tmp/ses1.0.0` && $(TAR) ses1.0.0.tar ses1.0.0 && $(COMPRESS) ses1.0.0.tar) && $(MOVE) `dirname .tmp/ses1.0.0`/ses1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/ses1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) ses
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwidget.cpp moc_addalarm.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwidget.cpp moc_addalarm.cpp
moc_mainwidget.cpp: mainwidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwidget.h -o moc_mainwidget.cpp

moc_addalarm.cpp: addalarm.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) addalarm.h -o moc_addalarm.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwidget.o: mainwidget.cpp mainwidget.h \
		addalarm.h \
		alarmif.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwidget.o mainwidget.cpp

addalarm.o: addalarm.cpp addalarm.h \
		alarmif.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o addalarm.o addalarm.cpp

moc_mainwidget.o: moc_mainwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwidget.o moc_mainwidget.cpp

moc_addalarm.o: moc_addalarm.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_addalarm.o moc_addalarm.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/asj/ses-0.2.2/ses.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/ses.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_services: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_FILE) /home/asj/ses-0.2.2/ses.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_services:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/ses.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/pixmaps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/pixmaps/ 
	-$(INSTALL_FILE) /home/asj/ses-0.2.2/ses.png $(INSTALL_ROOT)/usr/share/pixmaps/


uninstall_icon:  FORCE

=== debian/changelog ===
ses (0.2.2-1) unstable; urgency=low

  * Add extra delete menu entry since press and hold means a lot of received
    mail since no one can figure it out
  * Add advanced options, non functional

 -- Andrew Stanley-Jones <asj@cban.com>  Tue, 12 Jan 2010 09:39:56 +1000
